<?php

    require_once ('../inventario/conexion.php');

    $objconexion = new conexion();

    $sentenciaselect = "SELECT 
    historial_pantalla.serial_pantalla,
    marca_pantalla.nombre_marcapantalla,
    estado_equipo.nombre_estadoequipo,
    historial_pantalla.fecha_historial,
    historial_pantalla.observacion
    from historial_pantalla,marca_pantalla,estado_equipo
    where historial_pantalla.marca_pantalla=marca_pantalla.id_marcapantalla AND historial_pantalla.estado_pantalla=estado_equipo.id_estadoequipo 
    and historial_pantalla.serial_pantalla= (case when NOT EXISTS(select historial_pantalla.serial_pantalla from historial_pantalla where historial_pantalla.serial_pantalla ='". $_GET['var1']."') then historial_pantalla.serial_pantalla else '". $_GET['var1']."' end)";

    $arreglo = $objconexion->consultararraynum($sentenciaselect);
    mostrar($arreglo);

    function mostrar($inarreglo)
    {
    $numfilas=count($inarreglo);                           

    for ($i=0; $i<$numfilas; $i++){
    echo "<tr>";
    $numcolumnas = count ($inarreglo[$i]);


    for ($j=0; $j<$numcolumnas; $j++){

    echo "<td>";
    echo $inarreglo[$i][$j];
    echo "</td>";


    }
    echo "</tr>";
    }
    }


?>